Bug 535259 - (RHQ-1975) Refine / extend roles
Refine / extend roles
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 05:27 EDT by fmatar
Modified: 2014-05-05 14:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 14:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fmatar 2009-04-15 05:27:00 EDT
Create further roles that would enhance the current roles by providing read / write functionality. Let's take as an example the alerts role, any user that has the Alert role can manipulate alert definitions and alert histories, this means that those users can get a full control over the Alerts, however in some scenarios I would expect that some users should be given only the ability to view the alerts histories and definitions,without being able to modify the alert definitions or delete entries from the alert histories which is not available at the moment
Comment 1 Joseph Marques 2009-04-15 17:49:46 EDT
yes, this has been talked about before.  not a simple fix, but a nice augmentation to authz for the future.
Comment 2 Red Hat Bugzilla 2009-11-10 15:50:37 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1975
Comment 3 wes hayutin 2010-02-16 12:09:28 EST
mass add of key word FutureFeature to help track
Comment 4 Jay Shaughnessy 2014-05-05 14:33:09 EDT
No changes authz planned.  Case by case basis for future.

Note You need to log in before you can comment on or make changes to this bug.